Subject: bug#8926: 24.0.50; pcomplete regression

From: Stefan Monnier <[email-masked]>
Date: Thu, 30 Jun 2011 17:19:46 -0400

>>>> Yup.  Because among the various completion cases, the case for "files"
>>>> used to return a list and now returns a function.  Both are valid
>>>> completion tables.  Any caller of pcomplete-completions should expect to
>>>> receive a completion table and not just a list of strings.  It may very
>>>> well receive a list of strings (which is one kind of completion table),
>>>> but it may just as well receive something else.
>>> Yes i saw that, and it's what i didn't understand.
>> 
>> BTW, the reason for the above change was not just to fix a bug when
>> using pcomplete-completions-at-point but also so that partial-completion
>> now works with pcomplete-entries (so you can "cd ~/e/e TAB" to go to
>> ~/etc/emacs).
> Yes, but the downside is now that it is hard to use by external
> libraries outside the context of emacs shell/eshell.

Presumably such code already handles completion tables, so having to
handle a completion table rather than a list of strings shouldn't be
that much of a problem.  Calling `all-completions' shouldn't scare
those authors.

        Stefan